AddArc Method

Back to Methods Reference

Creates an arc given the center, radius, start angle, and end angle of the arc.

Signature

VBA : RetVal = object.AddArc(Center, Radius, StartAngle, EndAngle)

VL : RetVal = (vla-AddArc Object Center Radius StartAngle EndAngle)

(vla-AddArc mspace pt1 rad sang eang)

  • Object : ModelSpace Collection, PaperSpace Collection, Block
    The object or objects this method applies to.
  • Center : Variant (three-element array of doubles); input-only
    The 3D WCS coordinates specifying the center point of the arc.
  • Radius : Double; input-only
    The radius of the arc.
  • StartAngle, EndAngle : Double; input-only
    The start and end angles, in radians, defining the arc. A start angle greater than an end angle defines a counterclockwise arc.
  • RetVal : Arc object
    The newly created Arc object.

Example :


;Get the ModelSpace collection of the active document,
;select center point, input radius, start angle and end angle: 

(setq thisdrawing (vla-get-activedocument (vlax-get-acad-object)))

(setq mspace (vla-get-modelspace thisdrawing))

(setq pt1 (vlax-3d-point (getpoint "Center point: ")))

(setq rad (getreal "Radius of arc: "))

(setq sang (getangle "Start angle: ")

      eang (getangle "End angle: ")

)

(vla-addarc mspace pt1 rad sang eang) 
 
The AutoLisp/Visual Lisp/VBA Resource Website
Google
Search the WWW Search AfraLisp

Copyright © 1999-Perpetuity by AfraLisp

All rights reserved.
Information in this document is subject to change without notice.
Site created and maintained by Kenny Ramage

The AutoLisp/Visual Lisp/VBA Resource Website